<?php
/**
 *
 * @author：llbjj
 * @DateTime：2022/5/6 10:57
 * @Description：
 *
 */

namespace Application\Service\DB\Tmp;

use Interop\Container\ContainerInterface;

class Sigkeyword extends \Application\Service\DB\AbstractDb
{
    public function __construct($dbAdapter, ContainerInterface $container)
    {
        $this->tableName = 'yikeen_tmp_sigkeyword';
        parent::__construct($dbAdapter, $container);
    }


    /**
     * Notes: 获取指定条件下的数据
     * User: lltyy
     * DateTime: 2023/6/2 7:50
     *
     * @param $where 条件
     * @param $columns 信息
     * @param int $return_type 返回类型【0 ID为键值 1 中心、通用检查项ID为键值 2 通用检查项ID、中心为键值】
     * @return array
     */
    public function fetchDataById($where,$columns,$return_type=0){
        $datas = [];
        $cond = [
            'where'=>$where,
            'columns'=>$columns
        ];
        $infoDatas = $this->fetchAll($cond);
        if(!empty($infoDatas)){
            foreach($infoDatas as $infoData){
                if(empty($return_type)){
                    $id = $infoData['id'];
                    $datas[$id] = $infoData;
                }

                if($return_type == 1){
                    $keyword_id = $infoData['keyword_id'];
                    $sig_id = $infoData['itemsig_id'];
                    $datas[$sig_id][$keyword_id] = $infoData;
                }

                if($return_type == 2){
                    $keyword_id = $infoData['keyword_id'];
                    $sig_id = $infoData['itemsig_id'];
                    $datas[$keyword_id][$sig_id] = $infoData;
                }
            }
        }
        unset($cond);
        unset($infoDatas);
        return $datas;
    }
}